import { LocatorID } from './types';
import { BaseDataFrame } from './base-frame';
export declare class InteractiveDataFrame extends BaseDataFrame {
    build(): import("./base-frame").RowData<LocatorID>[];
    /**
     * Extracts all attributes from a DOM element.
     *
     * @param element - The DOM element from which to extract the attributes.
     * @param type - The type of the element (e.g., 'select', 'input', 'textarea').
     * @returns A LocatorID object containing all attributes as key-value pairs and the element type.
     */
    extractLocatorID(element: Element, type: string): LocatorID;
}
